Subject: bug#21841: 25.0.50; auto-revert-mode broken when several files have modifications on disk

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Nov 2015 19:20:59 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 7 Nov 2015 19:14:09 +0200
> 
> On 11/07/2015 07:04 PM, Eli Zaretskii wrote:
> 
> > Not sure about configure.  We warn about GTK because there's a
> > configure-time option to disable that.  By contrast, gfilenotify is
> > only used as a last resort,
> 
> The "last resort" case is worrying. In that situation, auto-revert-mode 
> would switch over to filenotify, but, if I'm reading #21241 right, then 
> it might start missing some notifications.
> 
> I wonder whether we should use gfilenotify at all, unless explicitly asked.

Maybe.  I don't have enough experience using gfilenotify to say how
bad the problem is.  How about if you try using it for a while and see
how much trouble it gives you?